spring:
  profiles:
    active: seoul
  config:
    import:
      - optional:file:${user.dir}/conf/tsi-sig-server.yml
  application:
    name: tsi-sig-server
  datasource:
    mybatis:
      platform: mariadb
      driver-class-name: org.mariadb.jdbc.Driver
      username: cvim
      password: 44Klctest$$
      jpool-name: tsi-sig-server
      jmaximum-pool-size: 10
      jminimum-idle: 2
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  aop:
    proxy-target-class: true
  devtools:
    livereload:
      enabled: true
    restart:
      enabled: true

management:
  endpoints:
    prometheus:
      enabled: true
    web:
      exposure:
        include: "*"
    health:
      show-details: "always"
  security:
    enabled: false

server:
  port: 8443
  shutdown: graceful
  tomcat:
    use-relative-redirects: true
    remoteip:
      protocol-header: x-forwarded-proto
      remote-ip-header: x-forwarded-for
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 43200m
      cookie:
        name: sigcookie
    max-http-header-size: 400000


application:
  kafka:
    consumer:
      #group-id: tsi-sig-server
      group-id: tsi-sig-was
      all-topic: cvim-raw
      #props:
      #  - request.timeout.ms: 100
      #  - max.block.ms: 100
      #  - transactional.id: tsi-navi-broker-01
      #  - acks: 0
      #  - retries: 0
      #  - linger.ms: 1

---
spring:
  config:
    activate:
      on-profile: seoul
  datasource:
    mybatis:
      jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC

application:
  kafka:
    consumer:
      #bootstrap-server 변경
      bootstrap-servers: 172.24.0.30:9092,172.24.0.31:9093,172.24.0.32:9094
      #bootstrap-servers: 61.82.138.91:19091,61.82.138.91:19092,61.82.138.91:19093
    evp:
      consumer:
        bootstrap-servers: 172.24.0.30:9092,172.24.0.31:9093,172.24.0.32:9094
        groupId: tsi-evp-was
        topic: utic-evps

---
spring:
  config:
    activate:
      on-profile: dev
  datasource:
    mybatis:
      #jdbc-url: jdbc:mariadb://59.29.208.150:23307/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC
      #jdbc-url: jdbc:mariadb://61.108.209.105:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC
      #jdbc-url: jdbc:mariadb://10.4.4.20:3306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC
      jdbc-url: jdbc:mariadb://115.91.94.42:13306/cvim_db?characterEncoding=UTF-8&serverTimezone=UTC

application:
  kafka:
    consumer:
      bootstrap-servers: 61.82.138.91:19091,61.82.138.91:19092,61.82.138.91:19093
      #bootstrap-servers: 123.142.27.53:9092,123.142.27.53:9093,123.142.27.53:9094
    evp:
      consumer:
        bootstrap-servers: 61.82.138.91:19092
        groupId: tsi-evp-was
        topic: utic-evps-sim
